import request from '@/utils/request'
import Qs from 'qs'

// 查询生鲜圈列表
export function listCircle(query) {
    return request({
        method: 'get',
        params: {
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'list',
            ...query
        }
    })
}

// 查询生鲜圈详细
export function getCircle(id) {
    return request({
        method: 'get',
        params: {
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'get',
            id: id
        }
    })
}

// 新增生鲜圈
export function addCircle(data) {
    return request({
        method: 'post',
        data: Qs.stringify({
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'add',
            marketCircleInfo: JSON.stringify(data)
        })
    })
}

// 修改生鲜圈
export function updateCircle(data) {
    return request({
        method: 'post',
        data: Qs.stringify({
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'update',
            marketCircleInfo: JSON.stringify(data)
        })
    })
}

// 删除生鲜圈
export function delCircle(id) {
    return request({
        method: 'post',
        params: {
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'delete',
            id: id
        }
    })
}

// 导出生鲜圈
export function exportCircle(query) {
    return request({
        method: 'get',
        params: {
            _gp: 'admin.market.marketCircleInfo',
            _mt: 'export',
            ...query
        }
    })
}